<?php
/**
 * @version 1.5 stable $Id: category_subcategories.php 001 2010-04-17 13:44:02Z rene.bz $
 * Based on the original by Emmanuel Danan
 * @package Joomla
 * @subpackage FLEXIcontent
 * @copyright (C) 2010 Rene Bz - www.nettdotkomm.de
 * @license GNU/GPL v2
 * 
 * FLEXIcontent is a derivative work of the excellent QuickFAQ component
 * @copyright (C) 2008 Christoph Lukes
 * see www.schlu.net for more information
 *
 * FLEXIcontent is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );
?>

<?php
$n 					= count($this->categories);
$i					= 0;
$j 					= 0;
$tpl_bl_ca_subcat_style	= $this->params->get('tpl_bl_ca_subcat_style', 'horiz');
$tpl_bl_ca_subcat_cols	= $this->params->get('tpl_bl_ca_subcat_cols', 'one');
if ( $tpl_bl_ca_subcat_style == 'horiz' ) 
{
	$tpl_bl_ca_subcat_cols = 'one';
}
$tpl_bl_ca_subcat_sublist_subcats_listlayout	= $this->params->get('tpl_bl_ca_subcat_sublist_subcats_listlayout', 'horiz');
// Use this image in the list of the subcategories, if no image for the category is set in the controls
$tpl_bl_ca_subcat_default_img		= "/images/subcat_default_img.png";
$tpl_bl_ca_subcat_show_sublist_items	= $this->params->get('tpl_bl_ca_subcat_show_sublist_items', 0);
$tpl_bl_ca_subcat_show_sublist_subcats	= $this->params->get('tpl_bl_ca_subcat_show_sublist_subcats', 0);
$tpl_bl_ca_subcat_sublist_items_listlayout	= $this->params->get('tpl_bl_ca_subcat_sublist_items_listlayout', 'horiz');
$tpl_bl_ca_subcat_sublist_subcats_listlayout	= $this->params->get('tpl_bl_ca_subcat_sublist_subcats_listlayout', 'horiz');
$tpl_bl_ca_subcat_sublists_cols	= $this->params->get('tpl_bl_ca_subcat_sublists_cols', 'one');
if ( ($tpl_bl_ca_subcat_show_sublist_items == 0 || $tpl_bl_ca_subcat_show_sublist_subcats == 0) || ($tpl_bl_ca_subcat_sublist_items_listlayout == 'horiz' || $tpl_bl_ca_subcat_sublist_subcats_listlayout == 'horiz') || ($tpl_bl_ca_subcat_sublist_items_listlayout == 'horiz' && $tpl_bl_ca_subcat_sublist_subcats_listlayout == 'vert') || ($tpl_bl_ca_subcat_sublist_items_listlayout == 'vert' && $tpl_bl_ca_subcat_sublist_subcats_listlayout == 'horiz') ) 
{
	$tpl_bl_ca_subcat_sublists_cols = 'one';
}
?>
<div class="subcategorieslist <?php echo $tpl_bl_ca_subcat_style ?>">
	<?php if ($tpl_bl_ca_subcat_style == 'horiz') : ?>
	<div id="subcats_label">
    	<div class="subcats_label_r">
        	<div class="subcats_label_m">
			<h3 class="subcats_label_m_h subcats cat<?php echo $this->category->id; ?>"><?php echo JText::_( 'FLEXI_SUBCATEGORIES' ) . ' : '; ?></h3>
            </div>
        </div>
    </div>
    <ul class="subcat_list">
	<?php
	foreach ($this->categories as $sub) :
		$subsubcount = count($sub->subcats);	
	?>
		<li class="cat_id_<?php echo $this->escape($sub->id); ?> <?php echo $this->escape($sub->title); ?>">
        <a href="<?php echo JRoute::_( FlexicontentHelperRoute::getCategoryRoute($sub->slug) ); ?>"><?php echo $this->escape($sub->title); ?></a>
		<?php
		if ($this->params->get('show_itemcount', 1)) echo ' (' . ($sub->assigneditems != null ? $sub->assigneditems.'/'.$subsubcount : '0/'.$subsubcount) . ')';
		$i++;
		if ($i != $n) :
			echo ' | ';
		endif;
		echo '</li>';
	endforeach; ?>
    </ul>
	<div class="clear"></div>
	<?php endif; ?>
	<?php if ( $tpl_bl_ca_subcat_style == 'vert' || $tpl_bl_ca_subcat_style == 'vert_img' ) : ?>
    <div id="subcats_label">
        <div class="subcats_label_r">
            <div class="subcats_label_m">
            <h3 class="subcats_label_m_h subcats cat<?php echo $this->category->id; ?>"><?php echo JText::_( 'FLEXI_SUBCATEGORIES' ) . ' : '; ?></h3>
            </div>
        </div>
    </div>
   	<ul class="introblock <?php echo $tpl_bl_ca_subcat_cols ?>">         
	<?php foreach ($this->categories as $sub) :
    $subsubcount = count($sub->subcats); ?>
    <?php 
    if ( $j == 0 ) : 
        $div_class = "odd";
    else :
        $div_class = "even";
    endif; 
    ?>
	<?php if ( $tpl_bl_ca_subcat_cols == 'two' ) : ?>
        <?php if ( $i == 0 || $i == $n/2 || $i == (($n+1)/2) ) : ?>
        <li class="li_content <?php echo $div_class ?>">
        <?php endif; ?>
    <?php endif; ?>
	<?php if ( $tpl_bl_ca_subcat_cols == 'one' ) : ?>
        <?php if ( $i == 0 ) : ?>
        <li class="li_content_<?php echo $div_class ?>">
        <?php endif; ?>
    <?php endif; ?>
	<?php if ( $tpl_bl_ca_subcat_style == 'vert' ) : ?>
    <div id="subcat_info">
        <ul class="subcat_list">
            <li class="cat_id_<?php echo $this->escape($sub->id); ?> <?php echo $this->escape($sub->title); ?>">
            <div class="subcat_info">
            	<a href="<?php echo JRoute::_( FlexicontentHelperRoute::getCategoryRoute($sub->slug) ); ?>"><?php echo $this->escape($sub->title); ?></a>
            	<?php if ($this->params->get('show_itemcount', 1)) echo '<span class="catinf"> ( ' . ($sub->assigneditems != null ? $sub->assigneditems.' '. JText::_( 'FLEXI_ITEMS' ) .' / '.$subsubcount : '0 '. JText::_( 'FLEXI_ITEMS' ). ' / '.$subsubcount). ' ' . JText::_( 'FLEXI_SUBCATEGORIES' ) . ' )</span>'; ?>
            </div>
    <?php endif; ?>
	<?php if ( $tpl_bl_ca_subcat_style == 'vert_img' ) : ?>
        <div id="subcat_info">
            <ul class="subcat_list">
                <li class="cat_id_<?php echo $this->escape($sub->id); ?> <?php echo $this->escape($sub->title); ?>">
                <div class="subcat_info">
                    <div id="subcat_img" class="catimg cat<?php echo $this->escape($sub->id); ?>">
                        <span>
                        <?php if (!empty($sub->image)) : ?>
                        <a href="<?php echo JRoute::_( FlexicontentHelperRoute::getCategoryRoute($sub->slug) ); ?>"><?php echo JHTML::_('image.site', $sub->image, 'images/stories/', NULL, NULL, $sub->title, 'class="img_subcat"'); ?></a>
                        <?php else : ?>
                        <a href="<?php echo JRoute::_( FlexicontentHelperRoute::getCategoryRoute($sub->slug) ); ?>"><img class="img_subcat" alt="<?php echo $sub->title; ?>" src="components/com_flexicontent/templates/<?php echo $this->params->get('clayout', 'default'); ?><?php echo $tpl_bl_ca_subcat_default_img; ?>"></a>
                        <?php /*?><a href="<?php echo JRoute::_( FlexicontentHelperRoute::getCategoryRoute($sub->slug) ); ?>"><?php echo JHTML::_('image.site', 'articles.jpg', 'images/stories/', NULL, NULL, $sub->title, 'class="fccatimg"'); ?></a><?php */?> <!--use joomla image -->
                        <?php endif; ?>
                        </span>
                    </div>
                    <div id="subcat_desc"  class="catdesc cat_id_<?php echo $this->escape($sub->id); ?>">
                        <div><a href="<?php echo JRoute::_( FlexicontentHelperRoute::getCategoryRoute($sub->slug) ); ?>"><?php echo $this->escape($sub->title); ?></a></div>
                        <?php if ($this->params->get('show_itemcount', 1)) echo '<span class="catinf"> ( ' . ($sub->assigneditems != null ? $sub->assigneditems.' '. JText::_( 'FLEXI_ITEMS' ) .' / '.$subsubcount : '0 '. JText::_( 'FLEXI_ITEMS' ). ' / '.$subsubcount). ' ' . JText::_( 'FLEXI_SUBCATEGORIES' ) . ' )</span>'; ?>
                    </div>
                </div>
    <?php endif; ?>
<!--// the code below need following Changes in model/category.php > search for function getChilds() and replace the code -->

<!--
function getChilds()
   {
      $query = $this->_buildChildsquery();
      $this->_childs = $this->_getList($query);
//      $this->_childs = $this->_getList($query, $this->getState('limitstart'), $this->getState('limit'));
      $id = $this->id;
      $this->_data = null;
      
      $k = 0;
      $count = count($this->_childs);
      for($i = 0; $i < $count; $i++)
      {
         $category =& $this->_childs[$i];
         $category->assigneditems    = $this->_getassigned( $category->id );
         $category->subcats         = $this->_getsubs( $category->id );
         $this->_id               = $category->id;
         $category->items         = $this->getData();
         $this->_data            = null;

         $k = 1 - $k;
      }
      $this->_id = $id;
      return $this->_childs;
   }
 -->
            <!-- BOF show sublist items (title) in subcategorie -->
            <?php if (($this->params->get('tpl_bl_ca_subcat_show_sublist_items', 0) == 1 && $sub->assigneditems != 0) || ($this->params->get('tpl_bl_ca_subcat_show_sublist_subcats', 0) == 1 && $subsubcount != 0)) : ?>
<?php 
	if ( ($this->params->get('tpl_bl_ca_subcat_show_sublist_items', 0) == 1 && $sub->assigneditems != 0) && ($this->params->get('tpl_bl_ca_subcat_show_sublist_subcats', 0) == 1 && $subsubcount != 0)) :
		$tpl_bl_ca_subcat_sublists_items_col = 'odd';
    	$tpl_bl_ca_subcat_sublists_subcats_col = 'even';
	else :
		$tpl_bl_ca_subcat_sublists_items_col = 'odd';
    	$tpl_bl_ca_subcat_sublists_subcats_col = 'odd';
	endif;
?>
            <div id="subcat_sublists">
                <?php if ($this->params->get('tpl_bl_ca_subcat_show_sublist_items', 0) == 1 && $sub->assigneditems != 0) : ?>
                <?php $k = 1 ?>
                <ul class="subcat_sublist <?php echo $tpl_bl_ca_subcat_sublists_cols ?>_cols <?php echo $tpl_bl_ca_subcat_sublists_items_col ?> <?php echo $tpl_bl_ca_subcat_sublist_items_listlayout ?>">
                    <?php if ($this->params->get('tpl_bl_ca_subcat_show_sublist_items_label', 1) == 1) : ?>
                    <div class="sublist_title"><div><?php echo JText::_( 'FLEXI_ITEMS' ); ?></div></div>
                    <?php endif; ?>
                    <?php foreach ($sub->items as $item) : ?>
                    <li class="cat_id_<?php echo $this->escape($sub->id); ?> <?php echo $this->escape($sub->title); ?>">
                    <?php if ($this->params->get('tpl_bl_ca_subcat_link_sublist_items', 0) == 1) : ?>
                        <a href="<?php echo JRoute::_( FlexicontentHelperRoute::getItemRoute($item->slug) ); ?>"><?php echo $k ?>. <?php echo $this->escape($item->title); ?></a>
                        <?php if ($k < $sub->assigneditems && $tpl_bl_ca_subcat_sublist_items_listlayout == 'horiz') : ?>
                            <?php echo '  |  '?>
                        <?php endif; ?>
                    <?php else : ?>
                        <?php echo $k ?>. <?php echo $this->escape($item->title); ?>
                        <?php if ($k < $sub->assigneditems && $tpl_bl_ca_subcat_sublist_items_listlayout == 'horiz') : ?>
                            <?php echo '  |  '?>
                        <?php endif; ?> 
                    <?php endif; ?>
                    </li>
                    <?php $k = $k +1; ?>
                    <?php endforeach; ?>
                </ul>
                <?php endif; ?>
               <!-- show sublist subcategorie (title) in subcategorie -->
                <?php if ($this->params->get('tpl_bl_ca_subcat_show_sublist_subcats', 0) == 1 && $subsubcount != 0) : ?>
                <?php $k = 1 ?>
                <ul class="subcat_sublist <?php echo $tpl_bl_ca_subcat_sublists_cols ?>_cols <?php echo $tpl_bl_ca_subcat_sublists_subcats_col ?> <?php echo $tpl_bl_ca_subcat_sublist_subcats_listlayout ?>">
                    <?php if ($this->params->get('tpl_bl_ca_subcat_show_sublist_subcats_label', 1) == 1) : ?>
                    <div class="sublist_title"><div><?php echo JText::_( 'FLEXI_SUBCATEGORIES' ); ?></div></div>
                    <?php endif; ?>
                    <?php foreach ($sub->subcats as $subcat) : ?>
                    <li class="cat_id_<?php echo $this->escape($subcat->id); ?> <?php echo $this->escape($subcat->title); ?>">
                    <?php if ($this->params->get('tpl_bl_ca_subcat_link_sublist_subcats', 0) == 1) : ?>
                        <a href="<?php echo JRoute::_( FlexicontentHelperRoute::getCategoryRoute($subcat->slug) ); ?>"><?php echo $k ?>. <?php echo $this->escape($subcat->title); ?></a>
                        <?php if ($k < $subsubcount && $tpl_bl_ca_subcat_sublist_subcats_listlayout == 'horiz') : ?>
                            <?php echo '  |  '?>
                        <?php endif; ?> 
                    <?php else : ?>
                        <?php echo $k ?>. <?php echo $this->escape($subcat->title); ?>
                        <?php if ($k < $subsubcount && $tpl_bl_ca_subcat_sublist_subcats_listlayout == 'horiz') : ?>
                            <?php echo '  |  '?>
                        <?php endif; ?> 
                        <?php endif; ?>
                     </li>
                     <?php $k = $k +1; ?>
                    <?php endforeach; ?>
                </ul>
                <?php endif; ?>
            </div>
            <?php endif; ?>          
<!--// the code above need Changes in model/category.php -->
            </li>
        </ul>
    </div>
 
    <div class="clear"></div> 
    <?php if ( $tpl_bl_ca_subcat_cols == 'two' ) : ?>
            <?php $i++;
            if (  ($i == $n || $i == $n/2 || $i == (($n-1)/2)+1) ) : ?>
            </li>
            <?php $j = 1  ?>
        <?php endif; ?>
    <?php endif; ?>
    <?php if ( $tpl_bl_ca_subcat_cols == 'one' ) : ?>
        <?php $i++;
            if ( $i == $n ) : ?>
            </li>
            <?php $j = 1  ?>
        <?php endif; ?>
    <?php endif; ?>
   <?php endforeach; ?>
   </ul>
   <div class="clear"></div>
<?php endif; ?>
</div>
